kaia_getTransactionReceipt
POST
Returns the receipt for a transaction by transaction hash.
🚧 Is the response taking a long time? Response time may vary based on transaction status!
When querying a specific transaction, response time may increase depending on the volume of event logs in the transaction, transaction order within the block, etc.
For faster responses, request without including the transaction's event logs.
param[0]
transactionHashstringrequired
Transaction hash is a unique identifier for a transaction. It is expressed as a 64-digit hexadecimal string.Responses
blockHashstring
Hash of the block containing this transactionblockNumberstring
Block number containing this transaction (hex)contractAddressstring
Contract address created if this was a contract creation transaction, otherwise nulleffectiveGasPricestring
Actual gas price paid (hex, in peb)fromstring
Sender address of the transactiongasstring
Gas limit set for the transaction (hex)gasPricestring
Gas price (hex, in peb)gasUsedstring
Gas used by this specific transaction (hex)List of event logs emitted during transaction execution
addressstring
The address of the contract that emitted this logtopicsarray
Array of event signature hash and indexed parameters (up to 4 entries)datastring
Non-indexed event parameter data (hex encoded)blockNumberstring
Block number containing this log (hex)transactionHashstring
Hash of the transaction that created this logtransactionIndexstring
Transaction position index within the block (hex)blockHashstring
Hash of the block containing this loglogIndexstring
Log position index within the block (hex)removedboolean
True if the log was removed due to a chain reorganizationlogsBloomstring
Bloom filter for event log search (2048 bits, hex)noncestring
Sender nonce (hex)senderTxHashstring
Transaction hash containing only the sender signature, for fee-delegated transactionsArray of transaction signatures
Vstring
ECDSA signature v value (hex)Rstring
ECDSA signature r value (hex)Sstring
ECDSA signature s value (hex)statusstring
Transaction execution result (0x1=success, 0x0=failure)tostring
Recipient address. Null for contract creation transactionstransactionHashstring
Transaction hashtransactionIndexstring
Transaction position index within the block (hex)typestring
Transaction type (hex string)typeIntinteger
Transaction type as integercodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "kaia_getTransactionReceipt","params": ["0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8"]}'